Package org.apache.sling.feature

# Class ExecutionEnvironmentExtension

java.lang.Object
org.apache.sling.feature.ExecutionEnvironmentExtension

public class ExecutionEnvironmentExtension extends Object
Execution environment extension. This class is thread-safe.

Since:
  1.4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_NAME`
Extension name containing the execution environment.

## Method Summary

Modifier and Type
Method
Description
`static ExecutionEnvironmentExtension`
`getExecutionEnvironmentExtension(Extension ext)`
Get the execution environment from the extension.
`static ExecutionEnvironmentExtension`
`getExecutionEnvironmentExtension(Feature feature)`
Get the execution environment from the feature - if it exists.
`Artifact`
`getFramework()`
Get the specified framework
`String`
`getJavaOptions()`
Get the specified java options
`org.osgi.framework.Version`
`getJavaVersion()`
Get the specified java version

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXTENSION_NAME

public static final String EXTENSION_NAME
Extension name containing the execution environment. The execution environment can specify the framework to launch This extension is of type `ExtensionType.JSON` and is optional.

See Also:
  - Constant Field Values

## Method Details

### getExecutionEnvironmentExtension

public static ExecutionEnvironmentExtension getExecutionEnvironmentExtension(Feature feature)
Get the execution environment from the feature - if it exists.

Parameters:
  `feature` - The feature
Returns:
  The execution environment or `null`.
Throws:
  `IllegalArgumentException` - If the extension is wrongly formatted

### getExecutionEnvironmentExtension

public static ExecutionEnvironmentExtension getExecutionEnvironmentExtension(Extension ext)
Get the execution environment from the extension.

Parameters:
  `ext` - The extension
Returns:
  The execution environment or `null`.
Throws:
  `IllegalArgumentException` - If the extension is wrongly formatted

### getFramework

public Artifact getFramework()
Get the specified framework

Returns:
  The framework or `null`

### getJavaVersion

public org.osgi.framework.Version getJavaVersion()
Get the specified java version

Returns:
  The version or `null`
Since:
  1.5.0

### getJavaOptions

public String getJavaOptions()
Get the specified java options

Returns:
  The options or `null`
Since:
  1.5.0